1. 06 Nov, 2017 2 commits
    • Alexis Girault's avatar
      ENH: Expose ios deployment target in CMake config · a75ef055
      Alexis Girault authored
      Can not use `CMAKE_OSX_DEPLOYMENT_TARGET` because it will set the
      minimum version for macosx and not iphoneos or ios-simulator. Issue filed
      in CMake: cmake/cmake#17431
      
      Instead, update the proper flags in the toolchain files by passing the
      `IOS_DEVELOPMENT_TARGET` during configuration.
      
      Default `IOS_DEVELOPMENT_TARGET` to the current sdk version (latest). It
      used to default to ios 5.0 for the simulators (2011) and ios 8.0 for the
      devices (2014).
      a75ef055
    • Alexis Girault's avatar
      BUG: Properly cross-compile for vtkios simulators · 1df22d17
      Alexis Girault authored
      Architecture was hardcoded to both simulator architectures in
      ios.simulator.toolchain.cmake, and was not taking the architectures in
      IOS_SIMULATOR_ARCHITECTURES into account.
      
      Configure ios.simulator.toolchain.cmake.in like done for devices with
      ios.device.toolchain.cmake.in
      
      Also remove the `CMAKE_OSX_ARCHITECTURES` from the crosscompile macro
      since it is already define in each toolchain file.
      1df22d17
  2. 08 Mar, 2016 1 commit
  3. 11 Jan, 2016 2 commits
  4. 16 Dec, 2015 1 commit
  5. 30 Oct, 2015 1 commit
    • Ken Martin's avatar
      ome minor updates for mobile · d6cc61fb
      Ken Martin authored
      Update ios to include 9.1
      
      Update OpenGL ES 2 to always require OES derivs extension and
      put it first to avoid errors on some devices
      d6cc61fb
  6. 05 Oct, 2015 1 commit
  7. 28 Nov, 2014 1 commit
  8. 30 Sep, 2014 1 commit
  9. 26 Sep, 2014 1 commit
  10. 08 Sep, 2014 1 commit
  11. 05 Sep, 2014 1 commit